#
# spec file for package xntp (Version 4.2.0a)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libcap

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libcap libtool perl rpm

Name:         xntp
%define my_version stable-%{version}-20040225
%define ntpfaqversion 3.4
URL:          http://www.ntp.org/
License:      X11/MIT
Group:        Productivity/Networking/Other
Provides:     ntp xntp3
Autoreqprov:  on
PreReq:       /usr/sbin/useradd %insserv_prereq  %fillup_prereq /usr/bin/diff /usr/bin/grep
Version:      4.2.0a
Release:      23.4
Summary:      Network Time Protocol daemon (version 4)
Source:       ntp-%{my_version}.tar.bz2
Source1:      ntp-SuSE-Config.tar.bz2
Source2:      NTP-FAQ-%{ntpfaqversion}.tar.bz2
Source3:      logrotate.xntp
Source4:      xntp.reg
Patch0:       ntp-4.1.1.SuSE-Config.diff
Patch1:       ntp-4.2.0.ntpdate_overflow.diff
Patch2:       xntp-posix_options.diff
Patch3:       ntp-segfault_on_invalid_device.diff
Patch4:       ntp-linuxcaps.diff
Patch5:       ntp-4.2.0a-no_ipv6_stack.diff
#
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#

%description
The Network Time Protocol (NTP) is used to synchronize the time of a
computer client or server to another server or reference time source,
such as a radio, satellite receiver, or modem. It provides client
accuracies typically within a millisecond on LANs and up to a few tens
of milliseconds on WANs relative to a primary server synchronized to
Coordinated Universal Time (UTC) via a Global Positioning Service (GPS)
receiver, for example. Typical NTP configurations utilize multiple
redundant servers and diverse network paths, to achieve high accuracy
and reliability. Some configurations include cryptographic
authentication to prevent accidental or malicious protocol attacks.

Ntpd is an operating system daemon that sets and maintains the system
time-of-day synchronized with Internet standard time servers. Ntpd is a
complete implementation of the Network Time Protocol (NTP) version 4,
but also retains compatibility with version 3, as defined by RFC-1305,
and version 1 and 2, as defined by RFC-1059 and RFC-1119, respectively.
Ntpd does most computations in 64-bit floating point arithmetic and
does relatively clumsy 64-bit fixed point operations only when
necessary to preserve the ultimate precision, about 232 picoseconds.
While the ultimate precision is not achievable with the ordinary
workstations and networks of today, it may be required with future
nanosecond CPU clocks and gigabit LANs.

The daemon can operate in any of several modes, including symmetrical
active/passive, client/server broadcast/multicast, and manycast. A
broadcast/multicast or manycast client can discover remote servers,
compute server-client propagation delay correction factors, and
configure itself automatically. This makes it possible to deploy a
fleet of workstations without specifying configuration details specific
to the local environment.

Ordinarily, ntpd reads the ntp.conf configuration file at start-up time
to determine the synchronization sources and operating modes. It is
also possible to specify a working, although limited, configuration
entirely on the command line, obviating the need for a configuration
file. This may be particularly appropriate when the local host is to be
configured as a broadcast/multicast client or manycast client, with all
peers being determined by listening to broadcasts at run time.

Various internal ntpd variables can be displayed and configuration
options altered while the daemon is running using the ntpq and ntpdc
utility programs.



Authors:
--------
    Mark Andrews <marka@syd.dms.csiro.au>
    Viraj Bais <vbais@mailman1.intel.com>
    Clayton Kirkwood <kirkwood@striderfm.intel.com>
    Karl Berry <karl@owl.HQ.ileaf.com>
    Piete Brooks <Piete.Brooks@cl.cam.ac.uk>
    Steve Clift <clift@ml.csiro.au>
    Casey Crellin <casey@csc.co.za>
    Torsten Duwe <duwe@immd4.informatik.uni-erlangen.de>
    John A. Dundas III <dundas@salt.jpl.nasa.gov>
    Dennis Ferguson <dennis@mrbill.canet.ca>
    Glenn Hollinger <glenn@herald.usask.ca>
    Mike Iglesias <iglesias@uci.edu>
    Jim Jagielski <jim@jagubox.gsfc.nasa.gov>
    Jeff Johnson <jbj@chatham.usdesign.com>
    William L. Jones <jones@hermes.chpc.utexas.edu>
    Dave Katz <dkatz@cisco.com>
    Craig Leres <leres@ee.lbl.gov>
    George Lindholm <lindholm@ucs.ubc.ca>
    Louis A. Mamakos <louie@ni.umd.edu>
    Derek Mulcahy <derek@toybox.demon.co.uk>
    Damon Hart-Davis <d@hd.org>
    Lars H. Mathiesen <thorinn@diku.dk>
    David L. Mills <mills@udel.edu>
    Wolfgang Moeller <moeller@gwdgv1.dnet.gwdg.de>
    Jeffrey Mogul <mogul@pa.dec.com>
    Tom Moore <tmoore@fievel.daytonoh.ncr.com>
    Rainer Pruy <Rainer.Pruy@informatik.uni-erlangen.de>
    Dirce Richards <dirce@zk3.dec.com>
    Nick Sayer <mrapple@quack.kfu.com>
    Frank Kardel <Frank.Kardel@informatik.uni-erlangen.de>
    Ray Schnitzler <schnitz@unipress.com>
    Michael Shields <shields@tembel.org>
    Jeff Steinman <jss@pebbles.jpl.nasa.gov>
    Harlan Stenn <harlan@pfcs.com>
    Kenneth Stone <ken@sdd.hp.com>
    Ajit Thyagarajan <ajit@ee.udel.edu>
    Tomoaki TSURUOKA <tsuruoka@nc.fukuoka-u.ac.jp>
    Paul A Vixie <vixie@vix.com>
    Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

%prep
%setup -q -a 1 -a 2 -n ntp-%{my_version}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
mv conf.SuSE/README* .
find -type d | xargs chmod 755

%build
%define warn_flags -W -Wall -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter
rm -rf acconfig.h
%{?suse_update_config}
autoreconf -fi
%ifarch alpha s390x
ADDCFLAGS=" -O0"
%else
ADDCFLAGS=
%endif
export CFLAGS="%{optflags} $ADDCFLAGS %warn_flags"
./configure \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--bindir=%{_sbindir} \
	--enable-all-clocks \
	--enable-parse-clocks \
	--enable-linuxcaps
make

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && rm -rf "%{buildroot}"
make DESTDIR="%{buildroot}" install
#
# default configuration
#
mkdir -p   %{buildroot}/etc
mkdir -p   %{buildroot}/etc/logrotate.d
mkdir -p   %{buildroot}/var/lib/ntp/{drift,etc,var/{lib,run/ntp},dev}
mkdir -p   %{buildroot}/var/run
ln -s ../.. %{buildroot}/var/lib/ntp/var/lib/ntp
ln -s ../lib/ntp/var/run/ntp %{buildroot}/var/run
# touch      %{buildroot}/var/lib/ntp/drift/ntp.drift
# chmod 0644 %{buildroot}/var/lib/ntp/drift/ntp.drift
install -m 644 conf.SuSE/ntp.conf %{buildroot}/etc/ntp.conf
install -m 644 %{SOURCE3} %{buildroot}/etc/logrotate.d/xntp
# mkdir -p   %{buildroot}/var/log
# touch      %{buildroot}/var/log/ntp
# chmod 0640 %{buildroot}/var/log/ntp
#
# boot scripts
#
mkdir -p %{buildroot}/etc/init.d
install -m 755 conf.SuSE/rc.xntpd %{buildroot}/etc/init.d/xntpd
mkdir -p %{buildroot}/usr/sbin
ln -s ../../etc/init.d/xntpd %{buildroot}/usr/sbin/rcxntpd
#
# fillup sysconfig.xntp
#
mkdir -p %{buildroot}/var/adm/fillup-templates
install -m 644 conf.SuSE/sysconfig.xntp %{buildroot}/var/adm/fillup-templates/sysconfig.xntp
install -m 644 conf.SuSE/sysconfig.syslog-xntp %{buildroot}/var/adm/fillup-templates/
#
# compatibility links
#
ln -s	ntpd 	%{buildroot}/usr/sbin/xntpd
ln -s	ntpdc 	%{buildroot}/usr/sbin/xntpdc
#
# man pages
#
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 conf.SuSE/ntp.1.gz %{buildroot}/%{_mandir}/man1
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntp.conf.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntp.drift.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntpd.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntpdate.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntpdc.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntpq.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntptime.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntptimeset.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntptrace.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/tickadj.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntp-genkeys.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/ntp-wait.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/xntpd.1.gz
ln -s ntp.1.gz %{buildroot}/%{_mandir}/man1/xntpdc.1.gz
#
# install SLP reg file
#
install -d -m 0755 $RPM_BUILD_ROOT/etc/slp.reg.d/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/slp.reg.d/
#
# doc scripts
#
DOCTARGET=%{buildroot}/%{_defaultdocdir}/%{name}
mkdir -p $DOCTARGET
cp COPYRIGHT ChangeLog NEWS README* TODO WHERE-TO-START $DOCTARGET
find scripts parseutil -maxdepth 1 \( -name README -o -type f -perm +0111 \) \
  -exec cp -a --parents {} $DOCTARGET \;
find scripts -mindepth 2 -type f ! -empty \
  -exec cp -a --parents {} $DOCTARGET \;
cp -a conf $DOCTARGET

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d "${RPM_BUILD_ROOT}" ] && rm -rf "${RPM_BUILD_ROOT}"

%pre
/usr/sbin/useradd -r -o -g nogroup -u 74 -s /bin/false -c "NTP daemon" -d /var/lib/ntp ntp 2> /dev/null || :

%preun
%stop_on_removal xntpd
# no update? Then remove these files that aren't owned by the package
if [ ${FIRST_ARG:-0} -eq 0 ]; then
     rm -f /var/lib/ntp/drift/ntp.drift
     rm -f /var/lib/ntp/etc/*
     rm -f /var/log/ntp
fi

%post
%{fillup_and_insserv xntpd }
%{fillup_only -an syslog }
if [ -f ./%{_defaultdocdir}/%{name}/README.caveats \
     -a -d var/adm/notify/warnings ]; then
	cp ./%{_defaultdocdir}/%{name}/README.caveats \
           var/adm/notify/warnings/%{name}.caveats
fi
# Are we in update mode?
if [ ${FIRST_ARG:-0} -gt 1 ]; then
	# copy old driftfile
	for driftfile in var/lib/ntp/ntp.drift etc/ntp.drift; do
		test -f ${driftfile} && cp -au ${driftfile} var/lib/ntp/drift
	done
	# convert old driftfile location
	if [ -f etc/ntp.conf ] && grep -q '^driftfile[[:space:]]*/\(etc\|var/lib/ntp\)/ntp.drift' /etc/ntp.conf; then
		oldconfig=$( old etc/ntp.conf) 2>/dev/null
		oldconfig=${oldconfig##*/}
		sed -e "s@^driftfile[[:space:]]*/\(etc\|var/lib/ntp\)/ntp.drift@driftfile /var/lib/ntp/drift/ntp.drift@" \
			"etc/${oldconfig}" > etc/ntp.conf 2>/dev/null
		chmod --reference="etc/${oldconfig}" etc/ntp.conf
		chown --reference="etc/${oldconfig}" etc/ntp.conf
		if [ -d var/adm/notify/warnings ]; then
			diff -u etc/${oldconfig} etc/ntp.conf >var/adm/notify/warnings/%{name}.new-driftfile-location || :
		fi
	fi
	# convert parameters and description in existing sysconfig file
	cvt_tmp=/etc/sysconfig/sysconfig.xntp.$$
        sed -e "s@\(\".*\)-U ntp\(.*\"\)@\1-u ntp\2@" \
	/etc/sysconfig/xntp > $cvt_tmp && \
	mv $cvt_tmp /etc/sysconfig/xntp
fi
if [ ! -f /var/log/ntp ]; then
	touch /var/log/ntp
	chmod 644 /var/log/ntp
fi

%postun
%restart_on_update xntpd
%{insserv_cleanup}

%files
%defattr(-,root,root)
%dir /etc/slp.reg.d
%verify() %{_defaultdocdir}/%{name}
%{_mandir}/man1/*
%config(noreplace)	/etc/ntp.conf
%config(noreplace)	/etc/logrotate.d/xntp
%config(noreplace)	/etc/slp.reg.d/xntp.reg
# %ghost			/var/lib/ntp/drift/ntp.drift
# %ghost			/var/log/ntp
%config	/etc/init.d/xntpd
	/usr/sbin/*
	/var/adm/fillup-templates/sysconfig.xntp
	/var/adm/fillup-templates/sysconfig.syslog-xntp
%attr(0755,root,root) %dir /var/lib/ntp
%attr(0755,root,root) %dir /var/lib/ntp/etc
%attr(0755,ntp,nogroup) %dir /var/lib/ntp/drift
%attr(0755,root,root) %dir /var/lib/ntp/var
%attr(0755,root,root) %dir /var/lib/ntp/dev
%attr(0755,root,root) %dir /var/lib/ntp/var/lib
%attr(0755,root,root) %dir /var/lib/ntp/var/run
%attr(0755,root,root) %dir /var/lib/ntp/var/run/ntp
/var/lib/ntp/var/lib/ntp
/var/run/ntp
%package doc
Group:        Documentation/Other
Autoreqprov:  on
Provides:     xntpdoc
Obsoletes:    xntpdoc
Summary:      Documentation and Mini-HOWTO for Network Time Protocol daemon

%description doc
The complete set of documentation on building and configuring a NTP
server or client. The documentation is in the form of HTML files
suitable for browsing and contains links to additional documentation at
various web sites.

What about NTP? Understanding and using the Network Time Protocol (A
first try on a non-technical Mini-HOWTO and FAQ on NTP). Edited by
Ulrich Windl and David Dalton.



Authors:
--------
    Mark Andrews <marka@syd.dms.csiro.au>
    Viraj Bais <vbais@mailman1.intel.com>
    Clayton Kirkwood <kirkwood@striderfm.intel.com>
    Karl Berry <karl@owl.HQ.ileaf.com>
    Piete Brooks <Piete.Brooks@cl.cam.ac.uk>
    Steve Clift <clift@ml.csiro.au>
    Casey Crellin <casey@csc.co.za>
    Torsten Duwe <duwe@immd4.informatik.uni-erlangen.de>
    John A. Dundas III <dundas@salt.jpl.nasa.gov>
    Dennis Ferguson <dennis@mrbill.canet.ca>
    Glenn Hollinger <glenn@herald.usask.ca>
    Mike Iglesias <iglesias@uci.edu>
    Jim Jagielski <jim@jagubox.gsfc.nasa.gov>
    Jeff Johnson <jbj@chatham.usdesign.com>
    William L. Jones <jones@hermes.chpc.utexas.edu>
    Dave Katz <dkatz@cisco.com>
    Craig Leres <leres@ee.lbl.gov>
    George Lindholm <lindholm@ucs.ubc.ca>
    Louis A. Mamakos <louie@ni.umd.edu>
    Derek Mulcahy <derek@toybox.demon.co.uk>
    Damon Hart-Davis <d@hd.org>
    Lars H. Mathiesen <thorinn@diku.dk>
    David L. Mills <mills@udel.edu>
    Wolfgang Moeller <moeller@gwdgv1.dnet.gwdg.de>
    Jeffrey Mogul <mogul@pa.dec.com>
    Tom Moore <tmoore@fievel.daytonoh.ncr.com>
    Rainer Pruy <Rainer.Pruy@informatik.uni-erlangen.de>
    Dirce Richards <dirce@zk3.dec.com>
    Nick Sayer <mrapple@quack.kfu.com>
    Frank Kardel <Frank.Kardel@informatik.uni-erlangen.de>
    Ray Schnitzler <schnitz@unipress.com>
    Michael Shields <shields@tembel.org>
    Jeff Steinman <jss@pebbles.jpl.nasa.gov>
    Harlan Stenn <harlan@pfcs.com>
    Kenneth Stone <ken@sdd.hp.com>
    Ajit Thyagarajan <ajit@ee.udel.edu>
    Tomoaki TSURUOKA <tsuruoka@nc.fukuoka-u.ac.jp>
    Paul A Vixie <vixie@vix.com>
    Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>


%files doc
%defattr(-,root,root)
%doc	html
%doc	NTP-FAQ

%changelog -n xntp
* Wed Jan 26 2005 - hvogel@suse.de
- fix segfault while trying to use a IPV6 address without a IPV6
  stack. Ignore the address instead. (Bug #47860)
* Tue Mar 30 2004 - pth@suse.de
- Don't create temporary files in /tmp during post installation.
  Fixes #37435.
* Mon Mar 29 2004 - mls@suse.de
- fix slp registration
* Thu Mar 11 2004 - adrian@suse.de
- register ntpd via slp.reg.d file
* Tue Mar 09 2004 - pth@suse.de
- Make syslog create a socket in ntpd's chroot jail so that
  ntpd can continue logging.
- Make configure option --enable-linuxcaps visible on linux hosts.
- pass --enable-linuxcaps to configure to enable running chroot.
* Fri Mar 05 2004 - pth@suse.de
- Update to ntp 4.2.0a-20040225 as this version has support
  for running ntpd inside a chroot jail.
- Have syslog create an additional socket in the chroot jail.
- Remove patches obsoleted by the update :)
* Thu Feb 19 2004 - kukuk@suse.de
- Cleanup neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Sep 09 2003 - pthomas@suse.de
- Don't include files possibly created at runtime, not even as ghost.
- On real uninstall remove files copied to the chroot by initscript
  and the log file.
- Also fixes 'rpm -V' output (#29596)
* Thu Sep 04 2003 - pthomas@suse.de
- Fix segfault in ntpd on startup when a device can't be opened.
- Shorten the changelog a bit.
* Fri Aug 29 2003 - pthomas@suse.de
- Fix options to tail and sort in example scripts. (#29652)
* Fri Aug 29 2003 - kukuk@suse.de
- Call useradd -r to create system account [Bug #29611]
* Fri Aug 22 2003 - pthomas@suse.de
- Fix configure.in,acinclude.m4 and Makefile.am  so that autoreconf can be
  run.
- Fix all cases of type-punning.
- Add -lcap where necessary.
- Fix bug in ntp-4.1.1-noroot.patch that made ntpd ignore an existing drift
  file instead of actually reading it (fixes bugzilla #27464).
* Thu Aug 21 2003 - lmuelle@suse.de
- Add stop_on_removal and restart_on_update macros to preun and postun section
- Add XNTPD_RUN_CHROOTED to sysconfig file and init script
- Modify init script to setup chroot environment if needed
- Autoconvert ntp.conf in case of an old driftfile location
* Tue Aug 19 2003 - mmj@suse.de
- Add sysconfig metadata [#28963]
* Wed Jul 02 2003 - ma@suse.de
- Updated manpage (new home of the ntp project is at www.ntp.org).
* Tue May 20 2003 - ma@suse.de
- Fixed manpages.
* Wed May 14 2003 - mmj@suse.de
- %%ghost /var/log/ntp
* Thu May 01 2003 - ma@suse.de
- rcxntpd script didn't handle leading blanks in /etc/ntp.conf (#19847)
* Tue Feb 04 2003 - ma@suse.de
- ntp-4.1.1.broadcastclient.diff replaced by ntp1.bk.patch/ntp2.bk.patch.
  A more secure soloution, which will most probabely go into ntp-4.1.2.
* Wed Jan 29 2003 - kukuk@suse.de
- Add sysconfig meta data [Bug #22705]
* Wed Jan 15 2003 - ro@suse.de
- moved logrotate config here
* Wed Jan 15 2003 - ma@suse.de
- Added ntp-4.1.1.broadcastclient.diff to enable broadcastclient mode,
  unless AUTOKEY is defined (which is off by default). Due to broken
  interface code, broadcastclient together with AUTOKEY does not work
  on Linux. [#22253]
* Tue Dec 10 2002 - ihno@suse.de
- Corrected patch ntp-4.1.1-noroot.patch.
  removed : after x for optionlist [#21826]
* Mon Nov 11 2002 - ma@suse.de
- fixed typo in /etc/sysconfig/xntp comment. (#21688)
* Mon Sep 09 2002 - mmj@suse.de
- ntp.drift is moved, adjust specfile completely, and move it to
  the new place from /etc in case of update. [#19113]
* Wed Aug 28 2002 - nashif@suse.de
- Added insserv, fillup to PreReq
* Fri Aug 09 2002 - okir@suse.de
- added patch to make xntpd drop root privileges and chroot
- added XNTPD_OPTIONS to sysconfig file and rc script;
  set XNTPD_OPTIONS="-U ntp" initially
- added /var/lib/ntp owned by user ntp, and moved ntp.drift
  there.
* Wed Jun 26 2002 - ro@suse.de
- fix directory permissions
* Mon May 27 2002 - ma@suse.de
- Fixed segfault in ntpdate if no server suitable for
  synchronization found (#15589)
* Fri Apr 05 2002 - ma@suse.de
- Overworked documentation in doc/packages/xntp (#15052)
* Sun Mar 10 2002 - ma@suse.de
- Update to ntp-4.1.1 / NTP-FAQ-3.4
- SuSE specific files formerly created by SuSE-Config.diff are now
  shipped via ntp-4.1.1.SuSE-Config.tar.gz.
- Removed parts of ntpdate_overflow.diff, that are now included in the
  official source.
- Added new argument 'ntptimeset' to rcxntpd. If no ntpd is running,
  'rcxntpd ntptimeset' evaluates XNTPD_INITIAL_NTPDATE from
  /etc/sysconfig/xntp, and tries to set time and date via ntpdate, the
  same way as it is done at 'rcxntpd start'. But no ntpd is started.
  This might be usefull if the machine isn't permanently connected to
  the internet. "AUTO" value in XNTPD_INITIAL_NTPDATE requires parsing
  /etc/ntpd.conf, so 'ntpadte $XNTPD_INITIAL_NTPDATE' after dialup
  might not work.
- Added manual page to package xntpd, telling that documentation is
  available in HTML only, and located in package xntp-doc. (#14338)
* Mon Feb 11 2002 - ma@suse.de
- Evaluation of XNTPD_INITIAL_NTPDATE from /etc/sysconfig/xntp was
  changed. A space-separated list of ntp servers to query for current
  time and date before the local xntpd is started, is still supported.
  Furthermore you may now set XNTPD_INITIAL_NTPDATE="AUTO", to query
  ALL servers and peers configured in /etc/ntpd.conf.
  You may as well restrict the total number of servers to be queried
  at startup by setting XNTPD_INITIAL_NTPDATE="AUTO-{NUMBER}".
  The new default value for XNTPD_INITIAL_NTPDATE is "AUTO-2", which
  will query only the first two servers listed in /etc/ntpd.conf.
* Mon Jan 07 2002 - ma@suse.de
- Fixed example scripts referencing nslookup in wrong path (#12667)
- Fillup template renamed to sysconfig.xntp. Let init script source
  /etc/sysconfig/xntp instead of /etc/rc.config. (#12748)
* Mon Dec 17 2001 - ma@suse.de
- ntpdate_overflow.diff: Brute force patch to handle condition where
  systemtime is more than MAX_INT32 seconds in the past. Due to the
  limited range of an INT32, the computed offset is negative, although
  systemtime is in the past. In this situation the measured offset
  must be interpreted as UNSIGNED_INT32, and the systemtime has to be
  adjusted in two steps, as we can't step more than MAX_INT32 seconds
  at once.
  Need for this patch arises on newer macs, which reset the time to
  1904 after a hard crash or when the powerbook battery was off for
  a while.(#12620)
* Fri Dec 14 2001 - ro@suse.de
- removed START_XNTPD
* Thu Dec 13 2001 - ma@suse.de
- ntpdate_overflow.diff: ntpdate failed, if systemtime is a long way off.
  I.e. more than MAX_INT32 seconds (presently before Nov 1933) or closer
  to this limit than to the actual time. In both cases ntpdate tried to
  adjust the time to Nov 1933. This succeeded for systemtimes before
  Nov 1933 and failed if ntpdate tried to set the time back.
  The patch does not enable ntpdate to set the correct date, if the
  systemtime is before the limit, but ntpdate will report an error and
  fail, instead of setting the systemtime to Nov 1933. Any systemtime
  after this limit will be set correctly. (#12620)
* Fri Sep 21 2001 - ma@suse.de
- NTP-FAQ in xntp-doc updated to NTP-FAQ-3.2.
* Wed Aug 22 2001 - ma@suse.de
- Removed the glibc22.patch (sparc/s390 only). Better fix configure,
  than trying to patch config.h afterwards :(
* Wed Aug 22 2001 - ma@suse.de
- Update to ntp-4.1.0
  The latest NTPv4 'ntpdc' does not work with previous versions of ntpd
  and previous versions of 'ntpdc' do not work with latest ntpd. This
  situation is regrettable and may be fixed in future; however, it is
  necessary in order for the autokey function to retrieve canonical
  names and certificates from directory services such as Secure DNS.
  The standard NTP query program 'ntpq' is not affected by this.
- Previously applied bugfix/security patches are obsolete.
- ntpdate called from /etc/init.d/xntpd now uses an unprivileged port
  for outgoing packets. Might be we have to synchronise with hosts beyond
  a firewall, that that blocks incoming traffic to privileged ports.
- /etc/init.d/xntpd is now LSB compliant (#9114)
- Subpackage xntpdoc was renamed to xntp-doc.
- NTP-FAQ in xntp-doc updated to NTP-FAQ-3.1.
* Thu Jun 14 2001 - bk@suse.de
- remove lx_sus22 from neededforbuild, not on s390x and obsolete
* Tue Jun 12 2001 - bk@suse.de
- enable sparc and alpha changes on s390x too
* Tue Apr 17 2001 - kukuk@suse.de
- Remove extra version from sub-package
* Fri Apr 06 2001 - uli@suse.de
- fixed to build
* Thu Apr 05 2001 - draht@suse.de
- fix last change because the patch against ntpd/ntp_control.c that
  I supplied was wrong.
* Thu Apr 05 2001 - ma@suse.de
- incorporated sparc patches (Tue Feb 13-kukuk@suse.de):
  Add some ugly hacks to work on SPARC
- incorporated alpha patches (Wed Feb 28-sf@suse.de):
  compiling with -O0 on Alpha
- added root-hole patch to fix possible exploit in ntpd/ntp_control.c
* Thu Jan 04 2001 - pthomas@suse.de
- Add missing period to README.SuSE and clarify it a bit.
* Mon Dec 04 2000 - ma@suse.de
- update to NTP-FAQ-2.5
* Tue Nov 28 2000 - ro@suse.de
- startscript fixed
* Mon Jul 10 2000 - ma@suse.de
- update to NTP-FAQ-2.1
* Tue Apr 04 2000 - ro@suse.de
- added suse_update_config macro
* Wed Mar 08 2000 - ma@suse.de
- update to NTP-FAQ-1.7
* Sun Feb 27 2000 - ro@suse.de
- renamed subpackage xntp-doc to xntpdoc
* Fri Feb 25 2000 - ma@suse.de
- update to 4.0.99f
- Html documentation and NTP-FAQ have been moved into a separate
  package: xntp-doc
* Mon Nov 08 1999 - ma@suse.de
- update to 4.0.98d
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Jul 14 1999 - bs@suse.de
- call Check
* Wed Jul 14 1999 - ma@suse.de
- added some hints for radio clocks in ntp.conf
* Thu Jul 08 1999 - ma@suse.de
- update to ntp-4.0.93a
- still need to work on some scripts
- ntptime was removed from package; currently not supported
  under Linux
* Wed Mar 31 1999 - ma@suse.de
- update to ntp-4.0.92c
* Fri Mar 26 1999 - ro@suse.de
- fixed spec-naming
* Wed Mar 24 1999 - ma@suse.de
- update to 3.5.93e
- ntptime now builds on glibc
- Additional patch from Ulrich Windl for DCF77 receiver
* Thu Jan 14 1999 - ma@suse.de
- All references to '/lobal/bin/perl' below
  scripts/ changed to '/usr/bin/perl'.
* Thu Dec 10 1998 - ma@suse.de
- 2 new variables for rc.config:
  #
  # Usually it's a good idea to get the current time and date
  # from some other ntp server, before xntpd is started.
  # If we should do so, provide a space-separated list of
  # ntp servers to query.
  #
  XNTPD_INITIAL_NTPDATE=""
  #
  # This allows you to alter the kernel TICK variable.
  #
  # WARNING: YOU MUST NOT CHANGE THIS VARIABLE!
  #
  # Believe me, it won't help to solve any problem you have
  # if you set it. On the contrary, you will run into trouble!
  #
  # It's just here for those few, who know why they do not
  # believe me ;)
  #
  XNTPD_KERNEL_TICK=""
- updated rc-script
* Mon Dec 07 1998 - ro@suse.de
- updated rc-script
- pack ntptime for libc5
* Tue Oct 06 1998 - ro@suse.de
- ntptime does not get built on glibc
* Thu Sep 17 1998 - ro@suse.de
- ntp_machine.h: GLIBC has sys/stropts.h but not sys/streams.h !
* Tue Jul 21 1998 - ma@suse.de
- Win and NT documentation removed
* Fri Jun 26 1998 - ma@suse.de
- update to 3.5.93c
- changed /sbin/init.d/xntp: reload/restart option.
- added symlink /usr/sbin/rcxntpd -> ../../sbin/init.d/xntpd
- changed /etc/ntp.conf: more comments+examples; default loging
  to /var/log/ntp
- specfile & build:
- using 'BuildRoot: /tmp/xntp'
- Makefile.Linux removed
- using dir conf.SuSE in source tree for scripts provided
  by S.u.S.E. (default ntp.conf, init.d/xntpd, fillup-templates..)
- added /etc/drift and /var/log/ntp as %%ghost
* Wed Jun 10 1998 - ma@suse.de
- Makefile.Linux: configure option --enable-step-slew removed.
  step-slew quite often seems to prevent xntpd from adjusting
  the system time correctly.
* Tue Mar 03 1998 - florian@suse.de
- update to 3-5.92
* Mon Nov 24 1997 - ro@suse.de
- changed /local/bin/perl to /usr/bin/perl in scripts/monitoring
  and in scripts/support/bin/monl
* Wed Nov 19 1997 - florian@suse.de
- move html-docu into subdirectory and add some support scripts
* Mon Oct 27 1997 - florian@suse.de
- update to version 3-5.91
- change some HAVE_TERMIOS to HAVE_TERMIOS_H
* Wed Jun 25 1997 - florian@suse.de
- update to version 3-5.90.2
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Sun Feb 02 1997 - florian@suse.de
- update to new version 3.5-89
- better config files
* Thu Jan 02 1997 - florian@suse.de
- update to version 3-5.86.12.2
- slightly better config file
* Thu Jan 02 1997 - florian@suse.de
- update to new version 3-5.86.9
- add RAWDCF support
* Thu Jan 02 1997 - bs@suse.de
- fillup added
- /sbin/init.d start-scripts
